Annotations
List Annotations
Available for: Chatflow, Chatbot, Agent apps.
Retrieves a paginated list of annotations for the application. Supports keyword search filtering.
GET
/
apps
/
annotations
List Annotations
curl --request GET \
--url https://{api_base_url}/apps/annotations \
--header 'Authorization: Bearer <token>'import requests
url = "https://{api_base_url}/apps/annotations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{api_base_url}/apps/annotations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
"question": "What is Dify?",
"answer": "Dify is an open-source LLM application development platform.",
"hit_count": 5,
"created_at": 1705407629
}
],
"has_more": false,
"limit": 20,
"total": 1,
"page": 1
}Authorizations
API Key authentication. For all API requests, include your API Key in the Authorization HTTP Header, prefixed with Bearer. Example: Authorization: Bearer {API_KEY}. Strongly recommend storing your API Key on the server-side, not shared or stored on the client-side, to avoid possible API-Key leakage that can lead to serious consequences. Requests with a missing or invalid API key fail with HTTP 401 and error code unauthorized.
Query Parameters
Page number for pagination.
Number of items per page.
Keyword to filter annotations by question or answer content.
Response
200 - application/json
Successfully retrieved annotation list.
Last modified on July 9, 2026
Was this page helpful?
⌘I
List Annotations
